FROM node:20-alpine

WORKDIR /app

# Instalar dependencias del sistema necesarias para healthchecks
RUN apk update && apk add --no-cache ca-certificates wget && update-ca-certificates

# Copiar package files
COPY package.json pnpm-lock.yaml ./



# Instalar pnpm
RUN npm config set strict-ssl false
RUN npm install -g pnpm

# Instalar dependencias
RUN pnpm install

# Copiar código
COPY . .

# Build (para producción)
# RUN pnpm run build

# Exponer puerto
EXPOSE 5173

# Comando por defecto (desarrollo)
CMD ["pnpm", "run", "dev", "--", "--host", "0.0.0.0"]
